Bug 1289246 - Rygel crash or hangs when changing stream
Rygel crash or hangs when changing stream
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rygel (Show other bugs)
23
armv7l Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 13:22 EST by fred
Modified: 2016-12-20 11:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:43:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred 2015-12-07 13:22:08 EST
Description of problem:
I've installed fedora on an headless ARM device (raspberry pi). I'm using rygel so that it can act as an Dlna renderer. However, when I change the playing stream using a Dlna player (such as Bubble Upnp on android, or dleyna via d-bus), rygel locks. When I simply end the stream, rygel crash with the following output:
 Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:108, function pa_mutex_unlock(). Aborting.


Version-Release number of selected component (if applicable):
it was already present in fedora 21 

How reproducible:
always


Steps to Reproduce:
1. start dbus and pulseaudio as user
2. start rygel
3. start playing a song, and pause it, or try top play another song.

Actual results:
rygel crash or locks

Expected results:
pausing, changing song, etc.
Comment 1 Peter Robinson 2015-12-07 20:55:28 EST
Please provide a full backtrace. It might be easier to submit via abrt and link to that report here
Comment 2 fred 2015-12-15 12:53:27 EST
Thanks for your answer.

How can I generate such a backtrace? Unfortunately, I cannot reproduce the case where rygel crashes. I can, however, consistently have it hang undefinitely. The login is headless so I'm not sure abrt can work in such a setup (without gdm, etc) .

Is there a way to log more? rygel -g 5 is not very verbose in my case.
WHen I stop the stream, pulseaudio logs this:

Dec 15 18:48:11 localhost pulseaudio[469]: I: [pulseaudio] client.c: Created 18 "Login Session c2"
Dec 15 18:48:11 localhost pulseaudio[469]: D: [pulseaudio] module-systemd-login.c: Added new session c2
Dec 15 18:48:27 localhost pulseaudio[469]: I: [alsa-sink-bcm2835 ALSA] ratelimit.c: 200 events suppressed
Dec 15 18:48:27 localhost pulseaudio[469]: I: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Underrun!
Dec 15 18:48:27 localhost pulseaudio[469]: I: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Increasing minimal latency to 1.00 ms
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Latency set to 24.99ms
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: hwbuf_unused=61132
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: setting avail_min=15726
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Latency set to 24.99ms
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: hwbuf_unused=61132
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: setting avail_min=15726
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink-input.c: Requesting rewind due to corking
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Requested to rewind 65536 bytes.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Limited to 4148 bytes.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: before: 1037
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: after: 1037
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Rewound 4148 bytes.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Processing rewind...
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: latency = 2000
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink-input.c: Have to rewind 4148 bytes on render memblockq.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink-input.c: Have to rewind 4148 bytes on render memblockq.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink-input.c: Have to rewind 8296 bytes on implementor.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] source.c: Processing rewind...
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [pulseaudio] module-suspend-on-idle.c: Sink alsa_output.0.analog-stereo becomes idle, timeout in 5 seconds.
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:27 localhost pulseaudio[469]: D: [alsa-sink-bcm2835 ALSA] sink.c: Found underrun 4148 bytes ago (256 bytes ahead in playback buffer)
Dec 15 18:48:32 localhost pulseaudio[469]: I: [pulseaudio] module-suspend-on-idle.c: Sink alsa_output.0.analog-stereo idle for too long, suspending ...
Dec 15 18:48:32 localhost pulseaudio[469]: D: [pulseaudio] sink.c: Suspend cause of sink alsa_output.0.analog-stereo is 0x0004, suspending
Dec 15 18:48:32 localhost pulseaudio[469]: I: [alsa-sink-bcm2835 ALSA] alsa-sink.c: Device suspended...
Dec 15 18:48:32 localhost pulseaudio[469]: I: [pulseaudio] core.c: All sinks and sources are suspended, vacuuming memory
Dec 15 18:48:32 localhost pulseaudio[469]: D: [pulseaudio] module-udev-detect.c: /dev/snd/controlC0 is accessible: yes
Dec 15 18:48:32 localhost pulseaudio[469]: D: [pulseaudio] module-udev-detect.c: Resuming all sinks and sources of card alsa_card.0

I don't know how to interpret this however.

I may add that rygel works properly on raspbian via an dlna app or dbus/dleyna.

Thanks for your help.
Comment 3 Peter Robinson 2015-12-28 23:06:29 EST
(In reply to fred from comment #2)
> Thanks for your answer.
> 
> How can I generate such a backtrace? Unfortunately, I cannot reproduce the
> case where rygel crashes. I can, however, consistently have it hang
> undefinitely. The login is headless so I'm not sure abrt can work in such a
> setup (without gdm, etc) .

abrt-cli can be used for headless.

What Fedora release are you using? What version of rygel/pulseaudio?

> I may add that rygel works properly on raspbian via an dlna app or
> dbus/dleyna.

Completely irrelevant, it's likely a different version, wit different versions of libraries/kernel/toolchains etc.
Comment 4 Fedora End Of Life 2016-11-24 09:02:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:43:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.